<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/home_nav"
    app:startDestination="@id/home_buyfragment">

    <fragment
        android:id="@+id/home_buyfragment"
        android:name="com.quyunshuo.module.home.fragment.fragment.BuyFragment"
        android:label="BuyFragment">
        <action
            android:id="@+id/home_action_home_buyfragment_to_home_homefragment"
            app:destination="@id/home_homefragment" />
    </fragment>
    <fragment
        android:id="@+id/home_homefragment"
        android:name="com.quyunshuo.module.home.fragment.fragment.HomeFragment"
        android:label="HomeFragment">

        <action
            android:id="@+id/home_action_home_homefragment_to_home_userloginfragment"
            app:destination="@id/home_userloginfragment" /><!-- app:popUpTo="@id/home_homefragment"
            app:popUpToInclusive="true" -->
        <action
            android:id="@+id/home_action_home_homefragment_to_home_buyfragment"
            app:destination="@id/home_buyfragment"
            app:popUpTo="@id/home_buyfragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/home_action_home_homefragment_to_home_makefragment"
            app:destination="@id/home_makefragment" />

        <action
            android:id="@+id/home_action_home_homefragment_to_home_prodution_process"
            app:destination="@id/prodution_process" />
    </fragment>
    <fragment
        android:id="@+id/home_makefragment"
        android:name="com.quyunshuo.module.home.fragment.makefragment.MakeFragment"
        android:label="MakeFragment">
        <action
            android:id="@+id/home_action_home_makefragment_to_retrieve_status_fragment"
            app:destination="@id/retrieve_status"
            />
    </fragment>
    <fragment
        android:id="@+id/home_userloginfragment"
        android:name="com.quyunshuo.module.home.fragment.fragment.UserLoginFragment"
        android:label="UserLoginFragment">
        <action
            android:id="@+id/home_action_home_userloginfragment_to_home_homefragment2"
            app:destination="@id/home_homefragment"
            app:popUpTo="@id/home_homefragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/home_sleepfragment"
        android:name="com.quyunshuo.module.home.fragment.fragment.SleepFragment"
        android:label="SleepFragment">
        <action
            android:id="@+id/home_action_home_sleepfragment_to_home_buyfragment"
            app:destination="@id/home_buyfragment"
            app:popUpTo="@id/home_buyfragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/home_blockfragment"
        android:name="com.quyunshuo.module.home.fragment.fragment.BlockFragment"
        android:label="BlockFragment">
        <action
            android:id="@+id/home_action_home_blockfragment_to_home_buyfragment"
            app:destination="@id/home_buyfragment"
            app:popUpTo="@id/home_buyfragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/prodution_process"
        android:name="com.quyunshuo.module.home.fragment.makefragment.ProdutionProcessFragment">
        <action
            android:id="@+id/home_action_home_homefragment_to_home_makefragment"
            app:destination="@id/home_makefragment"
           />
    </fragment>
    <fragment
        android:id="@+id/retrieve_status"
        android:name="com.quyunshuo.module.home.fragment.makefragment.RetrieveStatusFragment">
        <action
            android:id="@+id/home_action_home_makefragment_to_produtionprocess"
            app:destination="@id/prodution_process"

            />
        <action
            android:id="@+id/home_action_home_makefragment_to_home_homefragment"
            app:destination="@id/home_homefragment"

             />
    </fragment>
</navigation>